Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.extra
Class SequenceExchanger.SequencePusher

    java.lang.Object
      net.sf.saxon.event.SequenceReceiver
          net.sf.saxon.event.SequenceWriter
              com.saxonica.extra.SequenceExchanger.SequencePusher

All Implemented Interfaces:
  Receiver, javax.xml.transform.Result

Enclosing class:
  SequenceExchanger

public static class SequenceExchanger.SequencePusher
extends SequenceWriter

A SequenceReceiver that accepts a sequence of events and writes them to a Conduit

Field Summary

Fields inherited from class net.sf.saxon.event.SequenceReceiver
`pipelineConfiguration, previousAtomic`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`SequenceExchanger.SequencePusher(com.saxonica.extra.Conduit si)` Create a SequencePusher

Method Summary
`void` | `close()` Close the output
`com.saxonica.extra.Conduit` | `getConduit()` Get the Conduit to which the events are written
`void` | `write(Item item)` Output one item in the sequence.

Methods inherited from class net.sf.saxon.event.SequenceWriter
`append, attribute, characters, comment, endDocument, endElement, getSystemId, hasOpenNodes, namespace, processingInstruction, setSystemId, startContent, startDocument, startElement`

Methods inherited from class net.sf.saxon.event.SequenceReceiver
`getConfiguration, getNamePool, getPipelineConfiguration, open, setPipelineConfiguration, setUnparsedEntity`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceExchanger.SequencePusher

    public SequenceExchanger.SequencePusher(com.saxonica.extra.Conduit si)

  Create a SequencePusher

Parameters:
  `si` - the Conduit to which the events are to be written

Method Detail

### getConduit

    public com.saxonica.extra.Conduit getConduit()

  Get the Conduit to which the events are written

  Returns:
    the Conduit to which the events are written

### write

    public void write(Item item)
               throws XPathException

  Output one item in the sequence.

  Specified by:
    `write` in class `SequenceWriter`
  Throws:
    `XPathException`

### close

    public void close()
               throws XPathException

  Close the output

  Specified by:
    `close` in interface `Receiver`
  Overrides:
    `close` in class `SequenceWriter`
  Throws:
    `XPathException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD